<!DOCTYPE html>
<html lang="en">
<head>
    
    <meta charset="utf-8">
    <title>Introduction - Documentation</title>
    
    
    <script src="scripts/prettify/prettify.js"></script>
    <script src="scripts/prettify/lang-css.js"></script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc.css">
    <script src="scripts/nav.js" defer></script>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
</head>
<body>

<input type="checkbox" id="nav-trigger" class="nav-trigger" />
<label for="nav-trigger" class="navicon-button x">
  <div class="navicon"></div>
</label>

<label for="nav-trigger" class="overlay"></label>

<nav >
    
    <input type="text" id="nav-search" placeholder="Search" />
    
    <h2><a href="index.html">Home</a></h2><h3>Objects</h3><ul><li><a href="Introduction.html">Introduction</a></li><li><a href="file.html">file</a><ul class='methods'><li data-type='method' style='display: none;'><a href="file.html#.readDir">readDir</a></li><li data-type='method' style='display: none;'><a href="file.html#.getFileTime">getFileTime</a></li><li data-type='method' style='display: none;'><a href="file.html#.exists">exists</a></li><li data-type='method' style='display: none;'><a href="file.html#.load">load</a></li><li data-type='method' style='display: none;'><a href="file.html#.save">save</a></li></ul></li><li><a href="http.html">http</a></li><li><a href="python.html">python</a></li><li><a href="random.html">random</a></li><li><a href="regex.html">regex</a><ul class='methods'><li data-type='method' style='display: none;'><a href="regex.html#.regexMatch">regexMatch</a></li><li data-type='method' style='display: none;'><a href="regex.html#.regexIndexes">regexIndexes</a></li><li data-type='method' style='display: none;'><a href="regex.html#.regexReplace">regexReplace</a></li><li data-type='method' style='display: none;'><a href="regex.html#.regexSplit">regexSplit</a></li></ul></li><li><a href="std.html">std</a><ul class='methods'><li data-type='method' style='display: none;'><a href="std.html#.echo">echo</a></li><li data-type='method' style='display: none;'><a href="std.html#.alert">alert</a></li><li data-type='method' style='display: none;'><a href="std.html#.argv">argv</a></li><li data-type='method' style='display: none;'><a href="std.html#.system">system</a></li></ul></li><li><a href="time.html">time</a><ul class='methods'><li data-type='method' style='display: none;'><a href="time.html#.sleep">sleep</a></li><li data-type='method' style='display: none;'><a href="time.html#.now">now</a></li><li data-type='method' style='display: none;'><a href="time.html#.nowISO">nowISO</a></li></ul></li></ul><h3>Global</h3><ul><li><a href="global.html#python_wrapper">python_wrapper</a></li></ul>
</nav>

<div id="main">
    
    <h1 class="page-title">Introduction</h1>
    

    




<section>

<header>
    
        <h2>
        Introduction
        </h2>
        
    
</header>

<article>
    
        <div class="container-overview">
        
            

    

    <h4 class="name" id="Introduction"><span class="type-signature"></span><span class="type-signature"></span></h4>

    




<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>





<div class="description usertext">
    <p>This factory encapsulates basic system interface.</p>
<ul>
<li>
<p>Functionnalities includes:</p>
<ul>
<li>Standard <code>std</code> functions for code string formating and debugging :
<ul>
<li><code>aidesys::echo</code> To format a string à-la <code>sprintf</code>s</li>
<li><code>aidesys::alert</code> To verify an assertion and send a warning or a fatal error with trace.</li>
<li><code>aidesys::argv</code> To get program line arguments.</li>
<li><code>aidesys::system</code> To execute commands at the OS level.</li>
</ul>
</li>
<li>Simples files <code>file</code> interface:
<ul>
<li><code>aidesys::readDir</code> To returns the contents of a directory</li>
<li><code>aidesys::getFileTime</code> and <code>aidesys::exists</code> To get the last file modification time and check if a file exists.</li>
<li><code>aidesys::load</code> and <code>aidesys::save</code> To load/save textual files.</li>
</ul>
</li>
<li>Time <code>time</code> management:
<ul>
<li><code>aidesys::sleep</code> To introduce a delay.</li>
<li><code>aidesys::now</code> To measure the real or CPU relative or absolute time.</li>
<li><code>aidesys::nowISO</code> To get the present date and time in a standard format.</li>
</ul>
</li>
<li>Regular expression (regex) and string manipulation:
<ul>
<li><code>aidesys::regexMatch</code> and <code>aidesys::regexReplace</code> To match and replace strings.</li>
<li><code>aidesys::regexIndexes</code> To get all occurences of a regex in a string.</li>
<li><code>aidesys::stringSplit</code> To split a string according to a regex.</li>
</ul>
</li>
<li>HTTP interface via the <code>aidesys::http</code> function.</li>
<li>Python online interface via the <code>aidesys::python</code> function.</li>
<li>Pseudo-random number generation via the <code>aidesys::random</code> function.</li>
</ul>
</li>
<li>
<p>The implementation consists mainly of wrappers to standard thrird-party libraries.</p>
</li>
</ul>
</div>




























        
        </div>
    

    

    

    
    
    

     

    

    

    

    

    
</article>

</section>




    
    
</div>

<br class="clear">

<footer>
    Documentation generated on Sat Jan 30 2021 07:32:36 GMT+0100 .
</footer>

<script>prettyPrint();</script>
<script src="scripts/polyfill.js"></script>
<script src="scripts/linenumber.js"></script>

<script src="scripts/search.js" defer></script>


<script src="scripts/collapse.js" defer></script>


</body>
</html>